<p class="topic">
Administration Express - Replication Monitor
</p>

<p class="h2">
To Monitor Replication Status from Administration Express
</p>

<ol type="1">
<li>
Create a configuration file.

<p class="text">
The configuration file contains a mandatory section for ldap connection
parameters, and two optional sections for ldap server aliases and time
lag colors. Connection parameters for all the servers in a replication
topology should be specified within a configuration file. A
configuration file, however, may contain information for multiple
replication topology.

<pre>
SYNOPSIS

  [connection]
  host:port:binddn:bindpwd:bindcert
  host:port:binddn:bindpwd:bindcert
  ...

  [alias]
  alias = host:port
  alias = host:port
  ...

  [color]
  lowmark = color
  lowmark = color
  ...

DESCRIPTION

  The connection section specifies how the tool may
  connect to each ldap server in the replication
  topology to get the replication agreement. This
  section is mandatory. The default binddn is
  'cn=Directory Manager'. Simple bind will be used
  unless bindcert is specified as the pathname of
  a cert db.

  A server may have a dedicated or a share entry
  in the connection section. The script will find
  out the most matched entry for a given server.
  For example, if all the ldap servers except host1
  share the same binddn and password, the connection
  section then needs just two entries:

    [connection]
     *:*:binddn:password:
     host1:*:binddn1:password1:

  The optional alias section gives nicknames to ldap
  servers' url. Thus instead of displaying url
  "http(s)://hostname-domainname:port", the status
  report may display "Master 1", "Hub" and alike.

  CSN time lags between masters and consumers might
  be displayed in different colors based on their ranges.
  The default color set is green for [0-5) minutes lag,
  yellow [5-60), and pink 60 and more.

EXAMPLE

  [connection]
  *:*:*:mypassword

  [alias]
  M1 = host1.example.com:10011
  C1 = host4.example.com:10021
  C2 = host2.example.com:10022

  [color]
  0 = #ccffcc
  5 = #FFFFCC
  60 = #FFCCCC
</pre>

<li>
In the row containing a master instance, click Replication Status.
</li>
</ol>
